Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!
Bug 548596 - sys-fs/zfs-0.6.4: Dracut scripts missing
Summary: sys-fs/zfs-0.6.4: Dracut scripts missing
Status: RESOLVED FIXED
Alias: None
Product: Gentoo Linux
Classification: Unclassified
Component: [OLD] Core system (show other bugs)
Hardware: AMD64 Linux
: Normal normal with 1 vote (vote)
Assignee: Richard Yao
URL:
Whiteboard:
Keywords:
Depends on:
Blocks:
 
Reported: 2015-05-04 14:33 UTC by Corin Lawson
Modified: 2018-06-08 05:47 UTC (History)
5 users (show)

See Also:
Package list:
Runtime testing required: ---


Attachments
adding dracut config if USE-flag is set (zfs-dracut-USE-flag.patch,921 bytes, patch)
2015-07-22 07:21 UTC, Micha Glave
Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Corin Lawson 2015-05-04 14:33:04 UTC
Upon merging the recent zfs-0.6.4.ebuild the following expected scripts where missing:
/usr/lib/dracut/modules.d/90zfs/module-setup.sh
/usr/lib/dracut/modules.d/90zfs/mount-zfs.sh
/usr/lib/dracut/modules.d/90zfs/export-zfs.sh
/usr/lib/dracut/modules.d/90zfs/parse-zfs.sh



Reproducible: Always

Steps to Reproduce:
1.emerge =sys-fs/zfs-0.6.4
2.ls /usr/lib/dracut/modules.d/90zfs

Actual Results:  
ls: cannot access /usr/lib/dracut/modules.d/90zfs: No such file or directory

Expected Results:  
export-zfs.sh
module-setup.sh
mount-zfs.sh
parse-zfs.sh


Adding the following line (~line 85) to src_configure function produces the expected results:
  --with-dracutdir="/usr/$(get_libdir)/dracut"
Comment 1 Mike Gilbert gentoo-dev 2015-05-04 21:16:31 UTC
(In reply to Corin Lawson from comment #0)
> Adding the following line (~line 85) to src_configure function produces the
> expected results:
>   --with-dracutdir="/usr/$(get_libdir)/dracut"

"/usr/$(get_libdir)/dracut" is incorrect. dracut is always installed under /usr/lib/dracut, regardless of the value of LIBDIR.
Comment 2 Corin Lawson 2015-05-04 22:39:57 UTC
Thanks Mike, I wasn't sure as I just copied that line from zfs-9999.ebuild...
Comment 3 K. Sanborn 2015-06-13 05:27:20 UTC
This also bit me, twice. Once on initial install of a new server. Then after a portage update caused the zfs-0.6.4.ebuild to be restored to the original, (and new kernel then failed to boot). Nothing serious for me, just wanted to add my 2 cents worth to request upstream EBuild fix. Same hardware, AMD64 Linux.
Comment 4 Micha Glave 2015-07-22 07:21:52 UTC
Created attachment 407368 [details, diff]
adding dracut config if USE-flag is set

please add a USE-flag `dracut` for dracut-module support.
Comment 5 James Lee 2015-09-24 15:56:28 UTC
This is a regression from https://bugs.gentoo.org/show_bug.cgi?id=478684 where this bug was already fixed.  According to ryao, "the new policy on small files, the dracut module is installed unconditionally," without needing a USE flag.
Comment 6 Richard Yao gentoo-dev 2016-01-16 20:22:28 UTC
This was fixed in the 0.6.5 ebuild. I will try to do a revision to fix it in the older ebuilds.
Comment 7 Georgy Yakovlev gentoo-dev 2018-03-12 16:36:00 UTC
this has been fixed in all in-tree ebuilds
https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=20c8e69ec3b25a431ee1c0e8cf3d1f0274dbffec